import { type MaybeRefOrGetter, useSSRContext } from "vue";

export type DjSSRContext = {
    head: {
        title: MaybeRefOrGetter<string>;
        metatags: MaybeRefOrGetter<Array<{ name: string, content: string }>>;
    };
    registry: Record<string, unknown>;
    styles: Record<string, string>;
};

export default function useDjSSRContext() {
    return useSSRContext<DjSSRContext>();
}
